## ulauncher 5.15.0

=== Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
SPHINXPROJ    = Ulauncher
SOURCEDIR     = .
BUILDDIR      = _build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

=== requirements.txt ===
mock==2.0.0
pytest==5.2.0
pytest-mock==3.3.1
pylint==2.3.1
mypy==0.701
mypy_extensions==0.4.1
flake8==3.7.7

## ulauncher 0.0.1-0

=== debian/changelog ===
ulauncher (0.0.1-0) fremantle; urgency=low

  * Initial release. 

 -- OpenICE <kev@patch>  Sun, 24 Oct 2010 15:53:47 -0700

=== debian/control ===
Source: ulauncher
Section: unknown
Priority: extra
Maintainer: OpenICE <tripzero.kev@gmail.com>
Build-Depends: debhelper (>= 7), libqt4-experimental-maemo5, libqt4-experimental-declarative-dev, cdbs
Standards-Version: 3.8.1
Homepage: http://openice.org

Package: ulauncher
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Simple daemonized launcher for qml applications
 ulauncher starts as a dbus service for applications to call when they  want to launch qml applications.  ULauncher uses fork() to create a new  instance for the qml application reducing load times for qml applications.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1


include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/qmake.mk

# Add here any variable or target overrides you need.
QMAKE=/opt/qt4-maemo5/bin/qmake-qt4
CFLAGS=-O3
CXXFLAGS=-O3

## ulauncher 0.0.1-1

=== debian/changelog ===
ulauncher (0.0.1-1) fremantle; urgency=low

  * fixed deps for 1.3

 -- Kevron Rees <kev@patch>  Fri, 12 Nov 2010 23:04:54 -0800

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: unknown
 Priority: extra
 Maintainer: OpenICE <tripzero.kev@gmail.com>
-Build-Depends: debhelper (>= 7), libqt4-experimental-maemo5, libqt4-experimental-declarative-dev, cdbs
+Build-Depends: debhelper (>= 7), libqt4-dev (>= 4.7), cdbs
 Standards-Version: 3.8.1
 Homepage: http://openice.org

## ulauncher 5.8.0

=== debian/changelog ===
ulauncher (5.8.0-0.1~mx17+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Fri, 10 Jul 2020 15:52:42 -0700

ulauncher (5.8.0-0ubuntu1ppa1~bionic) bionic; urgency=medium

  * Change version schema. Now there's stable version and beta version
  * Fixed #377: Result item that belongs to an extension is not automatically
    selected if  user previously selected the same item using the same query.

 -- Aleksandr Gornostal <ulauncher.app@gmail.com>  Sun, 26 May 2019 20:00:00 +0200

ulauncher (5.2.0~beta1) xenial; urgency=medium

  * #191 - Allow executing shortcuts without specifying an argument

 -- Aleksandr Gornostal <ulauncher.app@gmail.com>  Sun, 19 May 2019 22:39:00 +0200

=== debian/control ===
Source: ulauncher
Section: python
Priority: optional
Build-Depends: debhelper (>=9~),
 dh-python,
 python3-all,
 gobject-introspection,
 python3-distutils-extra (>=2.10)
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Aleksandr Gornostal <ulauncher.app@gmail.com>
Standards-Version: 4.1.4
X-Python3-Version: >= 3.5

Package: ulauncher
Architecture: all
Depends: ${misc:Depends},
 ${python3:Depends},
 libkeybinder-3.0-0,
 libgtk-3-0 (>= 3.10),
 gir1.2-gtk-3.0,
 gir1.2-keybinder-3.0 (>= 0.3),
 gir1.2-webkit2-4.0 | gir1.2-webkit2-3.0,
 gir1.2-glib-2.0,
 gir1.2-notify-0.7,
 gir1.2-gdkpixbuf-2.0,
 gir1.2-appindicator3-0.1,
 python3-gi,
 python3-gi-cairo,
 python3-distutils-extra,
 python3-dbus,
 python3-levenshtein,
 python3-pyinotify,
 python3-websocket,
 python3-xdg
Description: Application launcher for Linux
 See https://ulauncher.io for more information

## ulauncher 5.15.0

=== debian/changelog ===
ulauncher (5.15.0-1) unstable; urgency=medium

  * Initial release (Closes: #nnnn)  <nnnn is the bug number of your ITP>

 -- pavroo <pavroo@onet.eu>  Tue, 20 Sep 2022 16:52:32 +0200

=== debian/control ===
Source: ulauncher
Section: python
Priority: extra
Build-Depends: debhelper (>=9~),
 dh-python,
 python3-all,
 gobject-introspection,
 python3-distutils-extra (>=2.10)
Maintainer: Aleksandr Gornostal <ulauncher.app@gmail.com>, pavroo <pavroo@onet.eu>
Standards-Version: 4.1.4
X-Python3-Version: >= 3.5

Package: ulauncher
Architecture: all
Depends: ${misc:Depends},
 ${python3:Depends},
 libkeybinder-3.0-0,
 libgtk-3-0 (>= 3.10),
 gir1.2-gtk-3.0,
 gir1.2-keybinder-3.0 (>= 0.3),
 gir1.2-webkit2-4.0 | gir1.2-webkit2-3.0,
 gir1.2-glib-2.0,
 gir1.2-notify-0.7,
 gir1.2-gdkpixbuf-2.0,
 python3-gi,
 python3-gi-cairo,
 python3-dbus,
 python3-levenshtein,
 python3-pyinotify,
 python3-websocket,
 python3-xdg
Recommends: gir1.2-ayatanaappindicator3-0.1
Description: Application launcher for Linux
 See https://ulauncher.io for more information

## ulauncher 5.15.6

=== debian/control ===
Source: ulauncher
Section: python
Priority: optional
Build-Depends: debhelper (>= 10),
               dh-python,
               gobject-introspection,
               python3-all,
               python3-distutils-extra (>=2.10)
Maintainer: Aleksandr Gornostal <ulauncher.app@gmail.com>
Standards-Version: 4.1.4
X-Python3-Version: >= 3.5
Homepage: https://ulauncher.io/
Vcs-Browser: https://github.com/Ulauncher/Ulauncher

Package: ulauncher
Architecture: all
Depends: gir1.2-gdkpixbuf-2.0,
         gir1.2-glib-2.0,
         gir1.2-gtk-3.0,
         gir1.2-keybinder-3.0 (>= 0.3),
         gir1.2-notify-0.7,
         gir1.2-webkit2-4.0,
         libgtk-3-0 (>= 3.10),
         libkeybinder-3.0-0,
         python3-dbus,
         python3-gi,
         python3-gi-cairo,
         python3-levenshtein,
         python3-pyinotify,
         python3-websocket,
         python3-xdg,
         wmctrl,
         ${misc:Depends},
         ${python3:Depends},
         gir1.2-ayatanaappindicator3-0.1
# Recommends: gir1.2-ayatanaappindicator3-0.1
Description: Application launcher for Linux
 See https://ulauncher.io for more information

=== debian/rules ===
#!/usr/bin/make -f

%:
ifneq ($(shell dh -l | grep -xF translations),)
	dh $@ --with python3,translations --buildsystem=pybuild
else
	dh $@ --with python3 --buildsystem=pybuild
endif
